| Home · All Classes · All Namespaces · Modules · Functions · Files

# SocketAddressIP Struct Reference
[Structure types]

`#include <TelepathyQt4/Types>`

List of all members.

## Public Attributes

- QString address
- ushort port

## Detailed Description

Structure type generated from the specification.

An IP address and port.

## Member Data Documentation

QString address

Either a dotted-quad IPv4 address literal as for Socket_Address_IPv4, or an RFC2373 IPv6 address as for Socket_Address_IPv6.

ushort port

The TCP or UDP port number.